# eric7.UI.CodeDocumentationViewerTemplate

Module implementing functions to prepare an HTML documentation view.

### Global Attributes

_stylesheetsCache

### Classes

None

### Functions

_stylesheet | Function to get the stylesheet matching the desktop environment.
prepareDocumentationViewerHtmlDocWarningDocument | Public function to prepare a HTML warning document.
prepareDocumentationViewerHtmlDocument | Public function to prepare the HTML document.
prepareDocumentationViewerHtmlWarningDocument | Public function to prepare a HTML warning document.

## _stylesheet

_stylesheet()

Function to get the stylesheet matching the desktop environment.

Return:
  stylesheet

Return Type:
  str

Up

## prepareDocumentationViewerHtmlDocWarningDocument

prepareDocumentationViewerHtmlDocWarningDocument(text)

Public function to prepare a HTML warning document.

text (str)
  warning text to be shown

Return:
  prepared HTML document

Return Type:
  str

Up

## prepareDocumentationViewerHtmlDocument

prepareDocumentationViewerHtmlDocument(documentationInfo)

Public function to prepare the HTML document.

documentationInfo (dict)
  dictionary containing the various documentation parts

Return:
  prepared HTML document

Return Type:
  str

Up

## prepareDocumentationViewerHtmlWarningDocument

prepareDocumentationViewerHtmlWarningDocument(text)

Public function to prepare a HTML warning document.

text (str)
  warning text to be shown

Return:
  prepared HTML document

Return Type:
  str

Up